Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.configurations
Class DefaultConfiguration

    java.lang.Object
      org.gradle.api.internal.artifacts.AbstractFileCollection
          org.gradle.api.internal.artifacts.configurations.DefaultConfiguration

All Implemented Interfaces:
  Configuration

    class DefaultConfiguration
    extends AbstractFileCollection

Nested Class Summary
`class` | `DefaultConfiguration.ConfigurationFileCollection`

Constructor Summary
`DefaultConfiguration(java.lang.String name, ConfigurationsProvider configurationsProvider, IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)`

Method Summary
`Configuration` | `addArtifact(PublishArtifact artifact)`
`void` | `addDependency(Dependency dependency)`
`Configuration` | `copy()`
`Configuration` | `copy(Spec dependencySpec)`
`Configuration` | `copy(Closure dependencySpec)`
`Configuration` | `copyRecursive()`
`Configuration` | `copyRecursive(Spec dependencySpec)`
`Configuration` | `copyRecursive(Closure dependencySpec)`
`boolean` | `equals(java.lang.Object o)`
`DefaultConfiguration` | `exclude(java.util.Map excludeRuleArgs)`
`Configuration` | `extendsFrom(Configuration extendsFrom)`
`FileCollection` | `fileCollection(Spec dependencySpec)`
`FileCollection` | `fileCollection(Closure dependencySpecClosure)`
`FileCollection` | `fileCollection(Dependency dependencies)`
`java.util.Set` | `files(Dependency dependencies)`
`java.util.Set` | `files(Closure dependencySpecClosure)`
`java.util.Set` | `files(Spec dependencySpec)`
`java.util.Set` | `getAll()`
`java.util.Set` | `getAllArtifacts()`
`java.util.Set` | `getAllDependencies()`
`java.util.Set` | `getAllDependencies(java.lang.Class type)`
`java.util.Set` | `getArtifacts()`
`TaskDependency` | `getBuildArtifacts()`
`TaskDependency` | `getBuildDependencies()`
`Configuration` | `getConfiguration(Dependency dependency)`
`ConfigurationsProvider` | `getConfigurationsProvider()`
`java.util.Set` | `getDependencies()`
`java.util.Set` | `getDependencies(java.lang.Class type)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`java.util.Set` | `getExcludeRules()`
`java.util.Set` | `getExtendsFrom()`
`java.util.Set` | `getFiles()`
`java.util.List` | `getHierarchy()`
`IvyService` | `getIvyService()`
`java.lang.String` | `getName()`
`ProjectDependenciesBuildInstruction` | `getProjectDependenciesBuildInstruction()`
`ResolvedConfiguration` | `getResolvedConfiguration()`
`State` | `getState()`
`java.lang.String` | `getUploadInternalTaskName()`
`java.lang.String` | `getUploadTaskName()`
`int` | `hashCode()`
`boolean` | `isTransitive()`
`boolean` | `isVisible()`
`void` | `publish(java.util.List publishResolvers, PublishInstruction publishInstruction)`
`java.util.Set` | `resolve()`
`Configuration` | `setDescription(java.lang.String description)`
`void` | `setExcludeRules(java.util.Set excludeRules)`
`Configuration` | `setExtendsFrom(java.util.Set extendsFrom)`
`void` | `setProjectDependenciesBuildInstruction(ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)`
`Configuration` | `setTransitive(boolean transitive)`
`Configuration` | `setVisible(boolean visible)`
`java.lang.String` | `toString()`

Methods inherited from class AbstractFileCollection
getAsPath, getDisplayName, getSingleFile, iterator, plus

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultConfiguration

    public DefaultConfiguration(java.lang.String name, ConfigurationsProvider configurationsProvider, IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)

Method Detail

### addArtifact

    public Configuration addArtifact(PublishArtifact artifact)

### addDependency

    public void addDependency(Dependency dependency)

### copy

    public Configuration copy()

### copy

    public Configuration copy(Spec dependencySpec)

### copy

    public Configuration copy(Closure dependencySpec)

### copyRecursive

    public Configuration copyRecursive()

### copyRecursive

    public Configuration copyRecursive(Spec dependencySpec)

### copyRecursive

    public Configuration copyRecursive(Closure dependencySpec)

### equals

    @Override
    public boolean equals(java.lang.Object o)

### exclude

    public DefaultConfiguration exclude(java.util.Map excludeRuleArgs)

### extendsFrom

    public Configuration extendsFrom(Configuration extendsFrom)

### fileCollection

    public FileCollection fileCollection(Spec dependencySpec)

### fileCollection

    public FileCollection fileCollection(Closure dependencySpecClosure)

### fileCollection

    public FileCollection fileCollection(Dependency dependencies)

### files

    public java.util.Set files(Dependency dependencies)

### files

    public java.util.Set files(Closure dependencySpecClosure)

### files

    public java.util.Set files(Spec dependencySpec)

### getAll

    public java.util.Set getAll()

### getAllArtifacts

    public java.util.Set getAllArtifacts()

### getAllDependencies

    public java.util.Set getAllDependencies()

### getAllDependencies

    public java.util.Set getAllDependencies(java.lang.Class type)

### getArtifacts

    public java.util.Set getArtifacts()

### getBuildArtifacts

    public TaskDependency getBuildArtifacts()

### getBuildDependencies

    public TaskDependency getBuildDependencies()

### getConfiguration

    public Configuration getConfiguration(Dependency dependency)

### getConfigurationsProvider

    public ConfigurationsProvider getConfigurationsProvider()

### getDependencies

    public java.util.Set getDependencies()

### getDependencies

    public java.util.Set getDependencies(java.lang.Class type)

### getDescription

    public java.lang.String getDescription()

### getDisplayName

    public java.lang.String getDisplayName()

### getExcludeRules

    public java.util.Set getExcludeRules()

### getExtendsFrom

    public java.util.Set getExtendsFrom()

### getFiles

    public java.util.Set getFiles()

### getHierarchy

    public java.util.List getHierarchy()

### getIvyService

    public IvyService getIvyService()

### getName

    public java.lang.String getName()

### getProjectDependenciesBuildInstruction

    public ProjectDependenciesBuildInstruction getProjectDependenciesBuildInstruction()

### getResolvedConfiguration

    public ResolvedConfiguration getResolvedConfiguration()

### getState

    public State getState()

### getUploadInternalTaskName

    public java.lang.String getUploadInternalTaskName()

### getUploadTaskName

    public java.lang.String getUploadTaskName()

### hashCode

    @Override
    public int hashCode()

### isTransitive

    public boolean isTransitive()

### isVisible

    public boolean isVisible()

### publish

    public void publish(java.util.List publishResolvers, PublishInstruction publishInstruction)

### resolve

    public java.util.Set resolve()

### setDescription

    public Configuration setDescription(java.lang.String description)

### setExcludeRules

    public void setExcludeRules(java.util.Set excludeRules)

### setExtendsFrom

    public Configuration setExtendsFrom(java.util.Set extendsFrom)

### setProjectDependenciesBuildInstruction

    public void setProjectDependenciesBuildInstruction(ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)

### setTransitive

    public Configuration setTransitive(boolean transitive)

### setVisible

    public Configuration setVisible(boolean visible)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation